#
# spec file for package python-fontMath
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%define skip_python36 1
Name:           python-fontMath
Version:        0.9.3
Release:        1.8
Summary:        A set of objects for performing math operations on font data
License:        MIT
URL:            https://github.com/robotools/fontMath
Source:         https://files.pythonhosted.org/packages/source/f/fontMath/fontMath-%{version}.zip
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-FontTools >= 4.28.5
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module FontTools >= 4.28.5}
BuildRequires:  %{python_module pytest >= 3.0.3}
# /SECTION
%python_subpackages

%description
A set of objects for performing math operations on font data.

%prep
%setup -q -n fontMath-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license License.txt
%{python_sitelib}/fontMath
%{python_sitelib}/fontMath-%{version}*-info

%changelog
* Wed Dec 14 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
* Tue Dec 13 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.9.3
  * What's Changed
  Pass "strict" flag down to copies, so strict remains strict. By @justvanrossum in #305, as required to fix googlefonts/fontmake#961
* Mon Sep 26 2022 Daniel Garcia <daniel.garcia@suse.com>
- version update to 0.9.2
  * Start testing python 3.10 by @benkiel in #269
  * improve FilterRedundantPointPen when starting points are differently set by
    @typemytype in #277
* Wed Feb 16 2022 pgajdos@suse.com
- version update to 0.9.1
  * Scheduled weekly dependency update for week 52 by @pyup-bot in #267
  * Drops fonttools.misc.py23 by @benkiel in #246
  * Drop support for Python 3.6 by @benkiel in #268
* Thu Dec 16 2021 Ben Greiner <code@bnavigator.de>
- update to v0.8.1
  * Fix angle multiplication (#189).
  * Adds strict to MathGlyph (default is False). Strict means that
    line segments are not converted to curve segments with (0,0)
    control points and offcurves stacked on on-curves are not
    filtered out when extracting. (#235).
  * Python 3 only. Breaking Py3 over Py2 change is the use of
    setuptools_scm.
- drop python flavors <= 3.6: FontTools dropped support
* Tue Mar 23 2021 Benjamin Greiner <code@bnavigator.de>
- reinstate python36 build (python36-FontTools is available)
* Sat Feb 13 2021 Dirk Müller <dmueller@suse.com>
- skip python36 (no FontTools as it requires scipy)
* Tue May 26 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix FontTools dependency
* Wed May 20 2020 Antonio Larrosa <alarrosa@suse.com>
- Initial release of python-fontMath
